Redmine - Patch #18692

Access keys for previous (p)/next (n) links
2014-12-21 01:038 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.0.0

Description

This patch adds new access keys, 'p' for a previous issue link and 'n' for a next issue link.

With this, we can quickly move to a previous/next issue. Especially usuful when we look one after another a issue.

Related issues:
Related to Redmine - Feature #449: Keyboard shortcuts Reopened

Associated revisions

Revision 13794 - 2014-12-24 13:24 - Jean-Philippe Lang
Adds p/n access keys for previous/next links (#18692).

Patch by Go MAEDA.

History

#1 - 2014-12-21 06:18 - Go MAEDA
- Related to Feature #449: Keyboard shortcuts added

#2 - 2014-12-21 20:06 - Jean-Philippe Lang

Maybe we could add these access keys to all paginations?
#3 - 2014-12-22 01:13 - Go MAEDA
Jean-Philippe Lang wrote:

Maybe we could add these access keys to all paginations?

Thanks for the feedback. I'll try it.

#4 - 2014-12-23 07:23 - Go MAEDA
- File 18692-2.diff added

Here's a new patch. Assigned 'p' and 'n' access keys to the following links.

® paginations
¢ previous/next links of issues/show, activities/index, repositories/revision, gantt/show
¢ previous/next month links of calendar/show

#5 - 2014-12-24 13:24 - Jean-Philippe Lang

- Subject changed from Access keys for previous/next issue links to Access keys for previous (p)/next (n) links
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

Patch committed in r13794, thanks!

#6 - 2014-12-24 13:28 - Go MAEDA

I'm glad to see the patch has been accepted. Thanks.
https://www.redmine.org/projects/redmine/repository/svn/revisions/13794
